Summary:	Dynamic Host Configuration Protocol Server
Name:		dhcpd
%define version 2.0b1pl0
Version:	%{version}
Release:	1
Source0:	ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source1:	dhcpd.init
Patch0:		dhcpd-glibc.patch
Patch1:		dhcpd-path.patch
Copyright:	distributable
Group:		Networking/Daemons
Prereq:		/sbin/chkconfig
BuildRoot:	/tmp/dhcpd-%{version}-root

%description
The Internet Software Consortium DHCP Server, dhcpd, implements the
Dynamic Host Configuration Protocol (DHCP) and the Internet Bootstrap
Protocol (BOOTP).  DHCP allows hosts on a TCP/IP network to request
and be assigned IP addresses, and also to discover information about
the network to which they are attached.  BOOTP provides similar
functionality, with certain restrictions.

%package client
Summary:	Dynamic Host Configuration Protocol Client
Group:		Networking/Utilities

%description client
The Internet Software Consortium DHCP Client, dhclient, provides a
means for configuring one or more network interfaces using the Dynamic
Host Configuration Protocol, BOOTP protocol, or if these protocols
fail, by statically assigning an address.

%changelog

* Thu Feb 26 1998 Arne Coucheron <arneco@online.no>

- first release, 2.0b1pl0-1

%prep
%setup -n dhcp-%{version}

%patch0 -p1
%patch1 -p1

%build
./configure
make DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{man/man5,man/man8,sbin}
mkdir -p $RPM_BUILD_ROOT/var/dhcpd
make BINDIR=$RPM_BUILD_ROOT/usr/sbin FFMANDIR=$RPM_BUILD_ROOT/usr/man/man5 \
     ADMMANDIR=$RPM_BUILD_ROOT/usr/man/man8 ETC=$RPM_BUILD_ROOT/etc \
     CLIENTBINDIR=$RPM_BUILD_ROOT/sbin VARDB=$RPM_BUILD_ROOT/var/dhcpd install
install -m755 $RPM_SOURCE_DIR/dhcpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/dhcpd
touch $RPM_BUILD_ROOT/etc/dhcpd.leases
touch $RPM_BUILD_ROOT/etc/dhclient.leases
strip $RPM_BUILD_ROOT/{sbin/*,usr/sbin/*} ||

%post
/sbin/chkconfig --add dhcpd
if [ ! -f /etc/dhcpd.leases ]; then
	touch /etc/dhcpd.leases
fi

%postun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del dhcpd
fi

%post client
if [ ! -f /etc/dhclient.leases ]; then
        touch /etc/dhclient.leases
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(644,root,root) %doc README RELNOTES TODO doc/* server/dhcpd.conf
%attr(644,root,root) %ghost /etc/dhcpd.leases
%attr(755,root,root) %config /etc/rc.d/init.d/dhcpd
%attr(644,root,root) /usr/man/man5/dhcp-options.5
%attr(644,root,root) /usr/man/man5/dhcpd.conf.5
%attr(644,root,root) /usr/man/man5/dhcpd.leases.5
%attr(644,root,root) /usr/man/man8/dhcpd.8
%attr(644,root,root) /usr/man/man8/dhcrelay.8
%attr(755,root,root) /usr/sbin/dhcpd
%attr(755,root,root) /usr/sbin/dhcrelay
%attr(755,root,root) /var/dhcpd

%files client
%attr(644,root,root) %doc client/dhclient.conf
%attr(644,root,root) %ghost /etc/dhclient.leases
%attr(700,root,root) /etc/dhclient-script
%attr(755,root,root) /sbin/dhclient
%attr(644,root,root) /usr/man/man5/dhclient.conf.5
%attr(644,root,root) /usr/man/man5/dhclient.leases.5
%attr(644,root,root) /usr/man/man8/dhclient-script.8
%attr(644,root,root) /usr/man/man8/dhclient.8
%attr(755,root,root) /var/dhcpd
